Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyParameter

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyParameter

All Implemented Interfaces:
  GroovyParameter

    public class SimpleGroovyParameter

extends Object
implements GroovyParameter

Constructor Summary
`SimpleGroovyParameter(String name)`

Method Summary
`boolean` | `isTypeAvailable()`
`String` | `name()`
`void` | `setType(GroovyType type)` for later class resolution
`void` | `setTypeName(String typeName)`
`GroovyType` | `type()`
`String` | `typeName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleGroovyParameter

    public SimpleGroovyParameter(String name)

Method Detail

### name

    public String name()

  Specified by:
    `name` in interface `GroovyParameter`

### typeName

    public String typeName()

  Specified by:
    `typeName` in interface `GroovyParameter`

### setTypeName

    public void setTypeName(String typeName)

### type

    public GroovyType type()

  Specified by:
    `type` in interface `GroovyParameter`

### setType

    public void setType(GroovyType type)

  for later class resolution

### isTypeAvailable

    public boolean isTypeAvailable()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD